jigsaw(6)

NAME
jigsaw - permute an image like a jigsaw puzzle

SYNOPSIS
jigsaw [-display host:display.screen] [-delay usecs] [-speed ratio] [-complexity ratio] [-resolution int] [-thickness float] [-no-wobble] [-fps]

DESCRIPTION
The jigsaw program loads an image, carves it up into a jigsaw puzzle, shuffles it, and then solves it. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-settings(1) for more details.

OPTIONS
jigsaw accepts the following options:

-delay microseconds
    How long to wait between animation frames; default 20000.

-speed ratio
    Less than 1 for slower, greater than 1 for faster. Default 1.

-complexity ratio
    Less than 1 for simpler puzzles (fewer pieces), greater than 1 for more complex puzzles (more pieces). Default 1.

-resolution ratio
    Smoothness of the edges of the pieces. Less than 1 for rougher pieces (fewer polygons), greater than 1 for more smoother pieces (more polygons). Default 1.

-thickness float
    Thickness of the puzzle pieces (relative to their width). Default 0.06.

-no-wobble
    Keep the display stationary instead of very slowly wobbling back and forth.

-fps
    Display the current frame rate, polygon count, and CPU load.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(6)

COPYRIGHT
Copyright © 1997 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 25-Nov-97.